=== debian/changelog ===
gpplayer (1.0.0-0+97.23) unstable; urgency=low

  * version number update by debtransform

 -- debtransform <build@opensuse.org>  Sat, 04 Oct 2025 12:37:12 +0000

gpplayer (1.0.0-1) unstable; urgency=low

  * Initial release

 -- Cyril Hrubis <metan@ucw.cz>  Sat, 03 Aug 2024 20:21:41 +0100
