=== debian/control ===
Source: gpplayer
Priority: extra
Maintainer: Cyril Hrubis <metan@ucw.cz>
Build-Depends: debhelper (>= 9.0), libgfxprim-dev, libmpg123-dev, libasound2-dev
Standards-Version: 4.0.0
Section: sound
Homepage: http://gfxprim.ucw.cz/

Package: gpplayer
Section: sound
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: A music player
 Simple music player.
